Skip to main content
PUT

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
core_process_group_id
string
required

Identifier of the core process group.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json

Full update body for the core process group.

name
string
required

Name of the core process group.

description
string | null
required

Description of the core process group.

workspace_group_id
string
required

Identifier of the associated workspace group.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Core process group updated successfully.

id
string
required

Identifier of the core process group.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
name
string
required

Name of the core process group.

workspace_group_id
string
required

Identifier of the associated workspace group.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
description
string | null

Description of the core process group.